diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-UG.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-UG.rdf
index 935dd8a..a8ec335 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-UG.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-UG.rdf
@@ -2779,27 +2779,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kyenjojo
+    // Bududa
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Kyenjojo">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Bududa">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kyenjojo</rdfs:label>
-      <skos:definition>The district of Kyenjojo in the country of Uganda</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Western"/>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Kyenjojo</lcc-cr:hasEnglishShortName>
+      <rdfs:label>Bududa</rdfs:label>
+      <skos:definition>The district of Bududa in the country of Uganda</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Eastern"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Bududa</lcc-cr:hasEnglishShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ug;District"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-415">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-218">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the district of Kyenjojo in the country of Uganda</skos:definition>
-      <rdfs:label>UG-415</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-415</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Kyenjojo"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Kyenjojo"/>
+      <skos:definition>subdivision code for the district of Bududa in the country of Uganda</skos:definition>
+      <rdfs:label>UG-218</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-218</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Bududa"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Bududa"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
    </owl:NamedIndividual>
@@ -2809,59 +2809,239 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kiruhura
+    // Bukedea
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Kiruhura">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Bukedea">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kiruhura</rdfs:label>
-      <skos:definition>The district of Kiruhura in the country of Uganda</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Western"/>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Kiruhura</lcc-cr:hasEnglishShortName>
+      <rdfs:label>Bukedea</rdfs:label>
+      <skos:definition>The district of Bukedea in the country of Uganda</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Eastern"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Bukedea</lcc-cr:hasEnglishShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ug;District"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-419">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-219">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the district of Kiruhura in the country of Uganda</skos:definition>
-      <rdfs:label>UG-419</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-419</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Kiruhura"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Kiruhura"/>
+      <skos:definition>subdivision code for the district of Bukedea in the country of Uganda</skos:definition>
+      <rdfs:label>UG-219</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-219</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Bukedea"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Bukedea"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
    </owl:NamedIndividual>
 
 
 
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Butaleja
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Butaleja">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Butaleja</rdfs:label>
+      <skos:definition>The district of Butaleja in the country of Uganda</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Eastern"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Butaleja</lcc-cr:hasEnglishShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ug;District"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-221">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the district of Butaleja in the country of Uganda</skos:definition>
+      <rdfs:label>UG-221</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-221</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Butaleja"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Butaleja"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
 
 
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Central
+    // Amuria
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Central">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Amuria">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Central</rdfs:label>
-      <skos:definition>The geographical region of Central in the country of Uganda</skos:definition>
+      <rdfs:label>Amuria</rdfs:label>
+      <skos:definition>The district of Amuria in the country of Uganda</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Eastern"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Amuria</lcc-cr:hasEnglishShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ug;District"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-216">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the district of Amuria in the country of Uganda</skos:definition>
+      <rdfs:label>UG-216</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-216</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Amuria"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Amuria"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Bukwa
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Bukwa">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Bukwa</rdfs:label>
+      <skos:definition>The district of Bukwa in the country of Uganda</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Eastern"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Bukwa</lcc-cr:hasEnglishShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ug;District"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-220">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the district of Bukwa in the country of Uganda</skos:definition>
+      <rdfs:label>UG-220</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-220</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Bukwa"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Bukwa"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Bugiri
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Bugiri">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Bugiri</rdfs:label>
+      <skos:definition>The district of Bugiri in the country of Uganda</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Eastern"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Bugiri</lcc-cr:hasEnglishShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ug;District"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-201">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the district of Bugiri in the country of Uganda</skos:definition>
+      <rdfs:label>UG-201</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-201</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Bugiri"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Bugiri"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Soroti
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Soroti">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Soroti</rdfs:label>
+      <skos:definition>The district of Soroti in the country of Uganda</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Eastern"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Soroti</lcc-cr:hasEnglishShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ug;District"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-211">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the district of Soroti in the country of Uganda</skos:definition>
+      <rdfs:label>UG-211</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-211</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Soroti"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Soroti"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Budaka
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Budaka">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Budaka</rdfs:label>
+      <skos:definition>The district of Budaka in the country of Uganda</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Eastern"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Budaka</lcc-cr:hasEnglishShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ug;District"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-217">
+      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
+      <skos:definition>subdivision code for the district of Budaka in the country of Uganda</skos:definition>
+      <rdfs:label>UG-217</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-217</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Budaka"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Budaka"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
+   </owl:NamedIndividual>
+
+
+
+
+
+  <!--
+    ///////////////////////////////////////////////////////////////////////////////////////
+    //
+    // Northern
+    //
+    ///////////////////////////////////////////////////////////////////////////////////////
+    -->
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Northern">
+      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
+      <rdfs:label>Northern</rdfs:label>
+      <skos:definition>The geographical region of Northern in the country of Uganda</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Uganda"/>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Central</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Northern</lcc-cr:hasEnglishShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ug;GeographicalRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-C">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-N">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the geographical region of Central in the country of Uganda</skos:definition>
-      <rdfs:label>UG-C</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-C</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Central"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Central"/>
+      <skos:definition>subdivision code for the geographical region of Northern in the country of Uganda</skos:definition>
+      <rdfs:label>UG-N</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-N</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Northern"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Northern"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
    </owl:NamedIndividual>
@@ -2869,27 +3049,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nakasongola
+    // Gulu
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Nakasongola">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;Gulu">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nakasongola</rdfs:label>
-      <skos:definition>The district of Nakasongola in the country of Uganda</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Central"/>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Nakasongola</lcc-cr:hasEnglishShortName>
+      <rdfs:label>Gulu</rdfs:label>
+      <skos:definition>The district of Gulu in the country of Uganda</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ug;Northern"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Gulu</lcc-cr:hasEnglishShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ug;District"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-109">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ug;UG-304">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the district of Nakasongola in the country of Uganda</skos:definition>
-      <rdfs:label>UG-109</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-109</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Nakasongola"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Nakasongola"/>
+      <skos:definition>subdivision code for the district of Gulu in the country of Uganda</skos:definition>
+      <rdfs:label>UG-304</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">UG-304</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ug;Gulu"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ug;Gulu"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ug;"/>
    </owl:NamedIndividual>
